---
title: Drawdown request
slug: apis/payments/wires/originate-a-drawdown-request
description: Request funds from an external bank using POST /wires/v1/payments/corporate-drawdown-requests for authorized wire drawdowns.
icon: {"apiMethod":"POST"}
docTags: 
createdAt: 2025-07-06T12:02:48.695Z
---

## API reference

Request a payment from an external bank, to be sent by wire.

:::hint{type="warning"}
In November 2027, the Fedwire Funds Service will remove the fully unstructured postal address option in favor of a single hybrid postal address format. **All parties** (intermediaryFi, beneficiaryFi, beneficiary, originator)  across **all message types** must transition from free-text address lines (address1, address2, address3) to a new **postalAddress object** with mandatory adrLine1, country and city fields.

In advance of the Fedwire enforcement date, all partners must use the new **postalAddress&#x20;**&#x73;tructure in production no later tha&#x6E;**&#x20;October 2027.&#x20;**&#x4D;essages sent in the old format after this date will be rejected.
:::

:::ApiMethodV2
```json
{
  "name": "Endpoint: /wires/v1/payments/corporate-drawdown-requests",
  "method": "POST",
  "url": "https://sandbox.crbcos.com/wires/v1/payments/corporate-drawdown-requests",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "q2T4KKglH5k17NKxvjkXl",
        "language": "curl",
        "code": "curl -L 'https://sandbox.crbcos.com/wires/v1/payments/corporate-drawdown-requests' ^\n-H 'Content-Type: application/json' ^\n-H 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsIng1dCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJodHRwczovL2lkcHRlc3QuY3JiY29zLmNvbSIsIm5iZiI6MTc1MTQ2MzYyNSwiaWF0IjoxNzUxNDYzNjI1LCJleHAiOjE3NTE0NjcyMjUsImF1ZCI6WyJodHRwczovL2FwaS5jcmJjb3MuY29tLyIsImh0dHBzOi8vaWRwdGVzdC5jcmJjb3MuY29tL3Jlc291cmNlcyJdLCJzY29wZSI6WyJjb3NzYngiLCJodHRwczovL2FwaS5jcmJjb3MuY29tLyJdLCJjbGllbnRfaWQiOiJkZmYxMjQ5MzBhYzU0ZjI1YWRmMzY5OGNmNjk4NzQxZSIsImp0aSI6IkZDNjVBMjQ4NjQzNkEzNUQ3RjQyNkEyM0Q3ODQ1QUM3In0.fRpMlnR9xSOWcPRkHSuN2u8X5U6ZBpxsKPMZLKlZWmas5Gh0ClP0q_4j1ddEHzl8AhuLDzt9rkC7i8uF8cCN2af7XCZR0abiQd9ZbtuFjbMOw0y8wXQjzPTtiA2Rth1GmIJnrgH8OG-4k_FdbsU7pP8nK5NHaiUR9NrhvORh-_gfHtlk5Gc2g74ilDrZ-7mCCp96rdE34BDke0JaYiLZZFcW--ZSSr9Ue4YKM_cIQ8Hxl7zHtToZJIJY9Cf0R32QnWwwa6tyEJCmadpznf00Or2ldM0zTMNwgTbUPPAVKERPbKmVSV25GIIKhF5DnCiJBnsC26a1JmFoasSAgCqNDQ' ^\n-d '{\n  \"accountNumber\": \"\",\n  \"originator\":\n  {\n      \"idCode\": \"D\",\n      \"identifier\": \"\",\n      \"name\": \"PMR Corp\",\n      \"postalAddress\": {\n          \"adrLine1\": \"10431 Howe Drive\",\n          \"city\": \"Shawnee Mission\",\n          \"state\": \"KS\",\n          \"postalCode\": \"66206\",\n          \"country\": \"US\"\n      }\n  },\n  \"receiverRoutingNumber\": \"026009593\",\n  \"drawdownCreditAccountNumber\": \"021214891\",\n  \"beneficiaryFi\":\n  {\n      \"idCode\": \"D\",\n      \"identifier\": \"021214891\",\n      \"name\": \"Cross River Bank\",\n      \"postalAddress\": {\n          \"adrLine1\": \"400 KELBY STREET\",\n          \"city\": \"Fort Lee\",\n          \"state\": \"NJ\",\n          \"postalCode\": \"07024\",\n          \"country\": \"US\"\n      }\n  },\n  \"drawdownDebitAccount\":\n  {\n      \"idCode\": \"D\",\n      \"identifier\": \"777555333\",\n      \"name\": \"Lindberg Incorporated\",\n      \"postalAddress\": {\n          \"adrLine1\": \"5 Stop St\",\n          \"city\": \"New York\",\n          \"state\": \"NY\",\n          \"postalCode\": \"52555\",\n          \"country\": \"US\"\n      }\n  },\n  \"beneficiary\":\n  {\n      \"idCode\": \"D\",\n      \"identifier\": \"2714035231\",\n      \"name\": \"PMR Corp\",\n      \"postalAddress\": {\n          \"adrLine1\": \"10431 Howe Drive\",\n          \"city\": \"Shawnee Mission\",\n          \"state\": \"KS\",\n          \"postalCode\": \"66206\",\n          \"country\": \"US\"\n      }\n  },\n  \"beneficiaryReference\": \"testref\",\n  \"originatorToBeneficiary1\": \"1string\",\n  \"originatorToBeneficiary2\": \"2string\",\n  \"originatorToBeneficiary3\": \"3string\",\n  \"originatorToBeneficiary4\": \"4string\",\n  \"debitDrawdownAdviceCode\": \"WRE\",\n  \"debitDrawdownInformation1\": \"string1\",\n  \"debitDrawdownInformation2\": \"string2\",\n  \"debitDrawdownInformation3\": \"string3\",\n  \"debitDrawdownInformation4\": \"string4\",\n  \"debitDrawdownInformation5\": \"string5\",\n  \"receiverFiInformation1\": \"Astring\",\n  \"receiverFiInformation2\": \"Bstring\",\n  \"receiverFiInformation3\": \"Cstring\",\n  \"receiverFiInformation4\": \"Dstring\",\n  \"receiverFiInformation5\": \"Estring\",\n  \"fiToFiInformation1\": \"Hstring\",\n  \"fiToFiInformation2\": \"Istring\",\n  \"fiToFiInformation3\": \"Jstring\",\n  \"fiToFiInformation4\": \"Kstring\",\n  \"fiToFiInformation5\": \"Lstring\",\n  \"fiToFiInformation6\": \"Mstring\",\n  \"amount\": 50000000,\n  \"purpose\": \"drawdown testing\",\n  \"clientIdentifier\": \"40708c24-7dee-49c3-b4d2-c48d876f1f5e\"\n}'",
        "customLabel": ""
      },
      {
        "id": "mdrvzuw06tbYPMth0Alwp",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'POST',\n  'hostname': 'sandbox.crbcos.com',\n  'path': '/wires/v1/payments/corporate-drawdown-requests',\n  'headers': {\n    'Content-Type': 'application/json',\n    'Authorization': 'Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsIng1dCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJodHRwczovL2lkcHRlc3QuY3JiY29zLmNvbSIsIm5iZiI6MTc1MTQ2MzYyNSwiaWF0IjoxNzUxNDYzNjI1LCJleHAiOjE3NTE0NjcyMjUsImF1ZCI6WyJodHRwczovL2FwaS5jcmJjb3MuY29tLyIsImh0dHBzOi8vaWRwdGVzdC5jcmJjb3MuY29tL3Jlc291cmNlcyJdLCJzY29wZSI6WyJjb3NzYngiLCJodHRwczovL2FwaS5jcmJjb3MuY29tLyJdLCJjbGllbnRfaWQiOiJkZmYxMjQ5MzBhYzU0ZjI1YWRmMzY5OGNmNjk4NzQxZSIsImp0aSI6IkZDNjVBMjQ4NjQzNkEzNUQ3RjQyNkEyM0Q3ODQ1QUM3In0.fRpMlnR9xSOWcPRkHSuN2u8X5U6ZBpxsKPMZLKlZWmas5Gh0ClP0q_4j1ddEHzl8AhuLDzt9rkC7i8uF8cCN2af7XCZR0abiQd9ZbtuFjbMOw0y8wXQjzPTtiA2Rth1GmIJnrgH8OG-4k_FdbsU7pP8nK5NHaiUR9NrhvORh-_gfHtlk5Gc2g74ilDrZ-7mCCp96rdE34BDke0JaYiLZZFcW--ZSSr9Ue4YKM_cIQ8Hxl7zHtToZJIJY9Cf0R32QnWwwa6tyEJCmadpznf00Or2ldM0zTMNwgTbUPPAVKERPbKmVSV25GIIKhF5DnCiJBnsC26a1JmFoasSAgCqNDQ'\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nvar postData = JSON.stringify({\n  \"accountNumber\": \"\",\n  \"originator\": {\n    \"idCode\": \"D\",\n    \"identifier\": \"\",\n    \"name\": \"PMR Corp\",\n    \"address1\": \"10431 Howe Drive\",\n    \"address2\": \"Shawnee Mission KS 66206\",\n    \"address3\": \"US\"\n  },\n  \"receiverRoutingNumber\": \"026009593\",\n  \"drawdownCreditAccountNumber\": \"021214891\",\n  \"beneficiaryFi\": {\n    \"idCode\": \"D\",\n    \"identifier\": \"021214891\",\n    \"name\": \"Cross River Bank\",\n    \"address1\": \"400 KELBY STREET\",\n    \"address2\": \"Fort Lee NJ 07024\",\n    \"address3\": \"US\"\n  },\n  \"drawdownDebitAccount\": {\n    \"idCode\": \"D\",\n    \"identifier\": \"777555333\",\n    \"name\": \"Lindberg Incorporated\",\n    \"address1\": \"5 Stop St\",\n    \"address2\": \"New York NY 52555\",\n    \"address3\": \"US\"\n  },\n  \"beneficiary\": {\n    \"idCode\": \"D\",\n    \"identifier\": \"2714035231\",\n    \"name\": \"PMR Corp\",\n    \"address1\": \"10431 Howe Drive\",\n    \"address2\": \"Shawnee Mission KS 66206\",\n    \"address3\": \"US\"\n  },\n  \"beneficiaryReference\": \"testref\",\n  \"originatorToBeneficiary1\": \"1string\",\n  \"originatorToBeneficiary2\": \"2string\",\n  \"originatorToBeneficiary3\": \"3string\",\n  \"originatorToBeneficiary4\": \"4string\",\n  \"debitDrawdownAdviceCode\": \"WRE\",\n  \"debitDrawdownInformation1\": \"string1\",\n  \"debitDrawdownInformation2\": \"string2\",\n  \"debitDrawdownInformation3\": \"string3\",\n  \"debitDrawdownInformation4\": \"string4\",\n  \"debitDrawdownInformation5\": \"string5\",\n  \"receiverFiInformation1\": \"Astring\",\n  \"receiverFiInformation2\": \"Bstring\",\n  \"receiverFiInformation3\": \"Cstring\",\n  \"receiverFiInformation4\": \"Dstring\",\n  \"receiverFiInformation5\": \"Estring\",\n  \"fiToFiInformation1\": \"Hstring\",\n  \"fiToFiInformation2\": \"Istring\",\n  \"fiToFiInformation3\": \"Jstring\",\n  \"fiToFiInformation4\": \"Kstring\",\n  \"fiToFiInformation5\": \"Lstring\",\n  \"fiToFiInformation6\": \"Mstring\",\n  \"amount\": 50000000,\n  \"purpose\": \"drawdown testing\",\n  \"clientIdentifier\": \"40708c24-7dee-49c3-b4d2-c48d876f1f5e\"\n});\n\nreq.write(postData);\n\nreq.end();",
        "customLabel": ""
      },
      {
        "id": "Irx1_JJR4aDCST2r8Fvn0",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://sandbox.crbcos.com/wires/v1/payments/corporate-drawdown-requests\"\n\npayload = json.dumps({\n  \"accountNumber\": \"\",\n  \"originator\": {\n    \"idCode\": \"D\",\n    \"identifier\": \"\",\n    \"name\": \"PMR Corp\",\n    \"address1\": \"10431 Howe Drive\",\n    \"address2\": \"Shawnee Mission KS 66206\",\n    \"address3\": \"US\"\n  },\n  \"receiverRoutingNumber\": \"026009593\",\n  \"drawdownCreditAccountNumber\": \"021214891\",\n  \"beneficiaryFi\": {\n    \"idCode\": \"D\",\n    \"identifier\": \"021214891\",\n    \"name\": \"Cross River Bank\",\n    \"address1\": \"400 KELBY STREET\",\n    \"address2\": \"Fort Lee NJ 07024\",\n    \"address3\": \"US\"\n  },\n  \"drawdownDebitAccount\": {\n    \"idCode\": \"D\",\n    \"identifier\": \"777555333\",\n    \"name\": \"Lindberg Incorporated\",\n    \"address1\": \"5 Stop St\",\n    \"address2\": \"New York NY 52555\",\n    \"address3\": \"US\"\n  },\n  \"beneficiary\": {\n    \"idCode\": \"D\",\n    \"identifier\": \"2714035231\",\n    \"name\": \"PMR Corp\",\n    \"address1\": \"10431 Howe Drive\",\n    \"address2\": \"Shawnee Mission KS 66206\",\n    \"address3\": \"US\"\n  },\n  \"beneficiaryReference\": \"testref\",\n  \"originatorToBeneficiary1\": \"1string\",\n  \"originatorToBeneficiary2\": \"2string\",\n  \"originatorToBeneficiary3\": \"3string\",\n  \"originatorToBeneficiary4\": \"4string\",\n  \"debitDrawdownAdviceCode\": \"WRE\",\n  \"debitDrawdownInformation1\": \"string1\",\n  \"debitDrawdownInformation2\": \"string2\",\n  \"debitDrawdownInformation3\": \"string3\",\n  \"debitDrawdownInformation4\": \"string4\",\n  \"debitDrawdownInformation5\": \"string5\",\n  \"receiverFiInformation1\": \"Astring\",\n  \"receiverFiInformation2\": \"Bstring\",\n  \"receiverFiInformation3\": \"Cstring\",\n  \"receiverFiInformation4\": \"Dstring\",\n  \"receiverFiInformation5\": \"Estring\",\n  \"fiToFiInformation1\": \"Hstring\",\n  \"fiToFiInformation2\": \"Istring\",\n  \"fiToFiInformation3\": \"Jstring\",\n  \"fiToFiInformation4\": \"Kstring\",\n  \"fiToFiInformation5\": \"Lstring\",\n  \"fiToFiInformation6\": \"Mstring\",\n  \"amount\": 50000000,\n  \"purpose\": \"drawdown testing\",\n  \"clientIdentifier\": \"40708c24-7dee-49c3-b4d2-c48d876f1f5e\"\n})\nheaders = {\n  'Content-Type': 'application/json',\n  'Authorization': 'Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsIng1dCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJodHRwczovL2lkcHRlc3QuY3JiY29zLmNvbSIsIm5iZiI6MTc1MTQ2MzYyNSwiaWF0IjoxNzUxNDYzNjI1LCJleHAiOjE3NTE0NjcyMjUsImF1ZCI6WyJodHRwczovL2FwaS5jcmJjb3MuY29tLyIsImh0dHBzOi8vaWRwdGVzdC5jcmJjb3MuY29tL3Jlc291cmNlcyJdLCJzY29wZSI6WyJjb3NzYngiLCJodHRwczovL2FwaS5jcmJjb3MuY29tLyJdLCJjbGllbnRfaWQiOiJkZmYxMjQ5MzBhYzU0ZjI1YWRmMzY5OGNmNjk4NzQxZSIsImp0aSI6IkZDNjVBMjQ4NjQzNkEzNUQ3RjQyNkEyM0Q3ODQ1QUM3In0.fRpMlnR9xSOWcPRkHSuN2u8X5U6ZBpxsKPMZLKlZWmas5Gh0ClP0q_4j1ddEHzl8AhuLDzt9rkC7i8uF8cCN2af7XCZR0abiQd9ZbtuFjbMOw0y8wXQjzPTtiA2Rth1GmIJnrgH8OG-4k_FdbsU7pP8nK5NHaiUR9NrhvORh-_gfHtlk5Gc2g74ilDrZ-7mCCp96rdE34BDke0JaYiLZZFcW--ZSSr9Ue4YKM_cIQ8Hxl7zHtToZJIJY9Cf0R32QnWwwa6tyEJCmadpznf00Or2ldM0zTMNwgTbUPPAVKERPbKmVSV25GIIKhF5DnCiJBnsC26a1JmFoasSAgCqNDQ'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "VHmZVmxL7wzAaNs2EsCiF",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/wires/v1/payments/corporate-drawdown-requests\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Content-Type\"] = \"application/json\"\nrequest[\"Authorization\"] = \"Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsIng1dCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJodHRwczovL2lkcHRlc3QuY3JiY29zLmNvbSIsIm5iZiI6MTc1MTQ2MzYyNSwiaWF0IjoxNzUxNDYzNjI1LCJleHAiOjE3NTE0NjcyMjUsImF1ZCI6WyJodHRwczovL2FwaS5jcmJjb3MuY29tLyIsImh0dHBzOi8vaWRwdGVzdC5jcmJjb3MuY29tL3Jlc291cmNlcyJdLCJzY29wZSI6WyJjb3NzYngiLCJodHRwczovL2FwaS5jcmJjb3MuY29tLyJdLCJjbGllbnRfaWQiOiJkZmYxMjQ5MzBhYzU0ZjI1YWRmMzY5OGNmNjk4NzQxZSIsImp0aSI6IkZDNjVBMjQ4NjQzNkEzNUQ3RjQyNkEyM0Q3ODQ1QUM3In0.fRpMlnR9xSOWcPRkHSuN2u8X5U6ZBpxsKPMZLKlZWmas5Gh0ClP0q_4j1ddEHzl8AhuLDzt9rkC7i8uF8cCN2af7XCZR0abiQd9ZbtuFjbMOw0y8wXQjzPTtiA2Rth1GmIJnrgH8OG-4k_FdbsU7pP8nK5NHaiUR9NrhvORh-_gfHtlk5Gc2g74ilDrZ-7mCCp96rdE34BDke0JaYiLZZFcW--ZSSr9Ue4YKM_cIQ8Hxl7zHtToZJIJY9Cf0R32QnWwwa6tyEJCmadpznf00Or2ldM0zTMNwgTbUPPAVKERPbKmVSV25GIIKhF5DnCiJBnsC26a1JmFoasSAgCqNDQ\"\nrequest.body = JSON.dump({\n  \"accountNumber\": \"\",\n  \"originator\": {\n    \"idCode\": \"D\",\n    \"identifier\": \"\",\n    \"name\": \"PMR Corp\",\n    \"address1\": \"10431 Howe Drive\",\n    \"address2\": \"Shawnee Mission KS 66206\",\n    \"address3\": \"US\"\n  },\n  \"receiverRoutingNumber\": \"026009593\",\n  \"drawdownCreditAccountNumber\": \"021214891\",\n  \"beneficiaryFi\": {\n    \"idCode\": \"D\",\n    \"identifier\": \"021214891\",\n    \"name\": \"Cross River Bank\",\n    \"address1\": \"400 KELBY STREET\",\n    \"address2\": \"Fort Lee NJ 07024\",\n    \"address3\": \"US\"\n  },\n  \"drawdownDebitAccount\": {\n    \"idCode\": \"D\",\n    \"identifier\": \"777555333\",\n    \"name\": \"Lindberg Incorporated\",\n    \"address1\": \"5 Stop St\",\n    \"address2\": \"New York NY 52555\",\n    \"address3\": \"US\"\n  },\n  \"beneficiary\": {\n    \"idCode\": \"D\",\n    \"identifier\": \"2714035231\",\n    \"name\": \"PMR Corp\",\n    \"address1\": \"10431 Howe Drive\",\n    \"address2\": \"Shawnee Mission KS 66206\",\n    \"address3\": \"US\"\n  },\n  \"beneficiaryReference\": \"testref\",\n  \"originatorToBeneficiary1\": \"1string\",\n  \"originatorToBeneficiary2\": \"2string\",\n  \"originatorToBeneficiary3\": \"3string\",\n  \"originatorToBeneficiary4\": \"4string\",\n  \"debitDrawdownAdviceCode\": \"WRE\",\n  \"debitDrawdownInformation1\": \"string1\",\n  \"debitDrawdownInformation2\": \"string2\",\n  \"debitDrawdownInformation3\": \"string3\",\n  \"debitDrawdownInformation4\": \"string4\",\n  \"debitDrawdownInformation5\": \"string5\",\n  \"receiverFiInformation1\": \"Astring\",\n  \"receiverFiInformation2\": \"Bstring\",\n  \"receiverFiInformation3\": \"Cstring\",\n  \"receiverFiInformation4\": \"Dstring\",\n  \"receiverFiInformation5\": \"Estring\",\n  \"fiToFiInformation1\": \"Hstring\",\n  \"fiToFiInformation2\": \"Istring\",\n  \"fiToFiInformation3\": \"Jstring\",\n  \"fiToFiInformation4\": \"Kstring\",\n  \"fiToFiInformation5\": \"Lstring\",\n  \"fiToFiInformation6\": \"Mstring\",\n  \"amount\": 50000000,\n  \"purpose\": \"drawdown testing\",\n  \"clientIdentifier\": \"40708c24-7dee-49c3-b4d2-c48d876f1f5e\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "8xFk1Z5b7tlXtYkqblpHh",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"strings\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/wires/v1/payments/corporate-drawdown-requests\"\n  method := \"POST\"\n\n  payload := strings.NewReader(`{`+\"\n\"+`\n  \"accountNumber\": \"\",`+\"\n\"+`\n  \"originator\":`+\"\n\"+`\n  {`+\"\n\"+`\n      \"idCode\": \"D\",`+\"\n\"+`\n      \"identifier\": \"\",`+\"\n\"+`\n      \"name\": \"PMR Corp\",`+\"\n\"+`\n      \"address1\": \"10431 Howe Drive\",`+\"\n\"+`\n      \"address2\": \"Shawnee Mission KS 66206\",`+\"\n\"+`\n      \"address3\": \"US\"`+\"\n\"+`\n  },`+\"\n\"+`\n  \"receiverRoutingNumber\": \"026009593\",`+\"\n\"+`\n  \"drawdownCreditAccountNumber\": \"021214891\",`+\"\n\"+`\n  \"beneficiaryFi\":`+\"\n\"+`\n  {`+\"\n\"+`\n      \"idCode\": \"D\",`+\"\n\"+`\n      \"identifier\": \"021214891\",`+\"\n\"+`\n      \"name\": \"Cross River Bank\",`+\"\n\"+`\n      \"address1\": \"400 KELBY STREET\",`+\"\n\"+`\n      \"address2\": \"Fort Lee NJ 07024\",`+\"\n\"+`\n      \"address3\": \"US\"`+\"\n\"+`\n  },`+\"\n\"+`\n  \"drawdownDebitAccount\":`+\"\n\"+`\n  {`+\"\n\"+`\n      \"idCode\": \"D\",`+\"\n\"+`\n      \"identifier\": \"777555333\",`+\"\n\"+`\n      \"name\": \"Lindberg Incorporated\",`+\"\n\"+`\n      \"address1\": \"5 Stop St\",`+\"\n\"+`\n      \"address2\": \"New York NY 52555\",`+\"\n\"+`\n      \"address3\": \"US\"`+\"\n\"+`\n  },`+\"\n\"+`\n  \"beneficiary\":`+\"\n\"+`\n  {`+\"\n\"+`\n      \"idCode\": \"D\",`+\"\n\"+`\n      \"identifier\": \"2714035231\",`+\"\n\"+`\n      \"name\": \"PMR Corp\",`+\"\n\"+`\n      \"address1\": \"10431 Howe Drive\",`+\"\n\"+`\n      \"address2\": \"Shawnee Mission KS 66206\",`+\"\n\"+`\n      \"address3\": \"US\"`+\"\n\"+`\n  },`+\"\n\"+`\n  \"beneficiaryReference\": \"testref\",`+\"\n\"+`\n  \"originatorToBeneficiary1\": \"1string\",`+\"\n\"+`\n  \"originatorToBeneficiary2\": \"2string\",`+\"\n\"+`\n  \"originatorToBeneficiary3\": \"3string\",`+\"\n\"+`\n  \"originatorToBeneficiary4\": \"4string\",`+\"\n\"+`\n  \"debitDrawdownAdviceCode\": \"WRE\",`+\"\n\"+`\n  \"debitDrawdownInformation1\": \"string1\",`+\"\n\"+`\n  \"debitDrawdownInformation2\": \"string2\",`+\"\n\"+`\n  \"debitDrawdownInformation3\": \"string3\",`+\"\n\"+`\n  \"debitDrawdownInformation4\": \"string4\",`+\"\n\"+`\n  \"debitDrawdownInformation5\": \"string5\",`+\"\n\"+`\n  \"receiverFiInformation1\": \"Astring\",`+\"\n\"+`\n  \"receiverFiInformation2\": \"Bstring\",`+\"\n\"+`\n  \"receiverFiInformation3\": \"Cstring\",`+\"\n\"+`\n  \"receiverFiInformation4\": \"Dstring\",`+\"\n\"+`\n  \"receiverFiInformation5\": \"Estring\",`+\"\n\"+`\n  \"fiToFiInformation1\": \"Hstring\",`+\"\n\"+`\n  \"fiToFiInformation2\": \"Istring\",`+\"\n\"+`\n  \"fiToFiInformation3\": \"Jstring\",`+\"\n\"+`\n  \"fiToFiInformation4\": \"Kstring\",`+\"\n\"+`\n  \"fiToFiInformation5\": \"Lstring\",`+\"\n\"+`\n  \"fiToFiInformation6\": \"Mstring\",`+\"\n\"+`\n  \"amount\": 50000000,`+\"\n\"+`\n  \"purpose\": \"drawdown testing\",`+\"\n\"+`\n  \"clientIdentifier\": \"40708c24-7dee-49c3-b4d2-c48d876f1f5e\"`+\"\n\"+`\n}`)\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, payload)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"Content-Type\", \"application/json\")\n  req.Header.Add(\"Authorization\", \"Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsIng1dCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJodHRwczovL2lkcHRlc3QuY3JiY29zLmNvbSIsIm5iZiI6MTc1MTQ2MzYyNSwiaWF0IjoxNzUxNDYzNjI1LCJleHAiOjE3NTE0NjcyMjUsImF1ZCI6WyJodHRwczovL2FwaS5jcmJjb3MuY29tLyIsImh0dHBzOi8vaWRwdGVzdC5jcmJjb3MuY29tL3Jlc291cmNlcyJdLCJzY29wZSI6WyJjb3NzYngiLCJodHRwczovL2FwaS5jcmJjb3MuY29tLyJdLCJjbGllbnRfaWQiOiJkZmYxMjQ5MzBhYzU0ZjI1YWRmMzY5OGNmNjk4NzQxZSIsImp0aSI6IkZDNjVBMjQ4NjQzNkEzNUQ3RjQyNkEyM0Q3ODQ1QUM3In0.fRpMlnR9xSOWcPRkHSuN2u8X5U6ZBpxsKPMZLKlZWmas5Gh0ClP0q_4j1ddEHzl8AhuLDzt9rkC7i8uF8cCN2af7XCZR0abiQd9ZbtuFjbMOw0y8wXQjzPTtiA2Rth1GmIJnrgH8OG-4k_FdbsU7pP8nK5NHaiUR9NrhvORh-_gfHtlk5Gc2g74ilDrZ-7mCCp96rdE34BDke0JaYiLZZFcW--ZSSr9Ue4YKM_cIQ8Hxl7zHtToZJIJY9Cf0R32QnWwwa6tyEJCmadpznf00Or2ldM0zTMNwgTbUPPAVKERPbKmVSV25GIIKhF5DnCiJBnsC26a1JmFoasSAgCqNDQ\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "q2T4KKglH5k17NKxvjkXl"
  },
  "results": {
    "languages": [
      {
        "id": "JFAdTnmhb--M6gu1WD2vL",
        "language": "200",
        "customLabel": "",
        "code": "{\n  \"id\": \"00000000-0000-0000-0000-000000000000\",\n  \"accountNumber\": \"string\",\n  \"coreTransactionId\": \"00000000-0000-0000-0000-000000000000\",\n  \"referenceId\": \"string\",\n  \"clientBatchId\": \"00000000-0000-0000-0000-000000000000\",\n  \"clientBatchSequence\": 0,\n  \"fedBatchId\": \"00000000-0000-0000-0000-000000000000\",\n  \"fedBatchSequence\": 0,\n  \"direction\": \"Inbound\",\n  \"paymentType\": \"Transfer\",\n  \"source\": \"Phone\",\n  \"status\": \"Created\",\n  \"posting\": \"Pending\",\n  \"rejectionReason\": \"OfacCancelUnableToDetermine\",\n  \"blockedReason\": \"OfacMatch\",\n  \"partnerAuthorization\": \"NotRequired\",\n  \"authorizedAt\": \"2022-12-28T08:03:53.686Z\",\n  \"authorizedById\": \"string\",\n  \"authorizedByName\": \"string\",\n  \"partnerAuthorization2\": \"NotRequired\",\n  \"authorizedAt2\": \"2022-12-28T08:03:53.686Z\",\n  \"authorizedById2\": \"string\",\n  \"authorizedByName2\": \"string\",\n  \"amount\": 0,\n  \"currency\": \"string\",\n  \"purpose\": \"string\",\n  \"imad\": \"string\",\n  \"omad\": \"string\",\n  \"businessFunctionCode\": \"string\",\n  \"typeCode\": \"string\",\n  \"senderRoutingNumber\": \"string\",\n  \"senderName\": \"string\",\n  \"senderReference\": \"string\",\n  \"receiverRoutingNumber\": \"string\",\n  \"receiverName\": \"string\",\n  \"originatingFi\": {\n    \"idCode\": \"string\",\n    \"identifier\": \"string\",\n    \"name\": \"string\",\n    \"address1\": \"string\",\n    \"address2\": \"string\",\n    \"address3\": \"string\"\n  },\n  \"originator\": {\n    \"idCode\": \"string\",\n    \"identifier\": \"string\",\n    \"name\": \"string\",\n    \"address1\": \"string\",\n    \"address2\": \"string\",\n    \"address3\": \"string\"\n  },\n  \"intermediaryFi\": {\n    \"idCode\": \"string\",\n    \"identifier\": \"string\",\n    \"name\": \"string\",\n    \"address1\": \"string\",\n    \"address2\": \"string\",\n    \"address3\": \"string\"\n  },\n  \"beneficiaryFi\": {\n    \"idCode\": \"string\",\n    \"identifier\": \"string\",\n    \"name\": \"string\",\n    \"address1\": \"string\",\n    \"address2\": \"string\",\n    \"address3\": \"string\"\n  },\n  \"beneficiary\": {\n    \"idCode\": \"string\",\n    \"identifier\": \"string\",\n    \"name\": \"string\",\n    \"address1\": \"string\",\n    \"address2\": \"string\",\n    \"address3\": \"string\"\n  },\n  \"originatorToBeneficiary1\": \"string\",\n  \"originatorToBeneficiary2\": \"string\",\n  \"originatorToBeneficiary3\": \"string\",\n  \"originatorToBeneficiary4\": \"string\",\n  \"beneficiaryReference\": \"string\",\n  \"receiptDate\": \"string\",\n  \"receiptTime\": \"string\",\n  \"wasReversed\": true,\n  \"isInternational\": true,\n  \"clientIdentifier\": \"string\",\n  \"createdAt\": \"2022-12-28T08:03:53.686Z\",\n  \"releasedAt\": \"2022-12-28T08:03:53.686Z\",\n  \"processedAt\": \"2022-12-28T08:03:53.686Z\",\n  \"canceledAt\": \"2022-12-28T08:03:53.686Z\",\n  \"rejectedAt\": \"2022-12-28T08:03:53.686Z\",\n  \"blockedAt\": \"2022-12-28T08:03:53.686Z\",\n  \"effectiveDate\": \"2022-12-28T08:03:53.686Z\",\n  \"completedAt\": \"2022-12-28T08:03:53.686Z\",\n  \"postedAt\": \"2022-12-28T08:03:53.686Z\",\n  \"originalPaymentId\": \"00000000-0000-0000-0000-000000000000\",\n  \"partnerId\": \"00000000-0000-0000-0000-000000000000\",\n  \"productId\": \"00000000-0000-0000-0000-000000000000\",\n  \"lastModifiedAt\": \"2022-12-28T08:03:53.686Z\",\n  \"postingCode\": \"string\"\n}"
      }
    ],
    "selectedLanguageId": "JFAdTnmhb--M6gu1WD2vL"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "formDataParameters": [],
    "bodyDataParameters": [
      {
        "name": "accountNumber",
        "kind": "required",
        "type": "string",
        "description": "The account number being used to originate the outbound wire drawdown request .",
        "": "The account number being used to originate the outbound wire drawdown request ."
      },
      {
        "name": "originator",
        "kind": "optional",
        "type": "object",
        "description": "Originator of the payment.\n\nWhen calling the API, the originator on the outbound wire is either Cross River by default or the name of the account, depending on the configuration of your product.",
        "": "Originator of the payment.\n\nWhen calling the API, the originator on the outbound wire is either Cross River by default or the name of the account, depending on the configuration of your product.",
        "children": [
          {
            "name": "idCode",
            "kind": "required",
            "type": "string",
            "description": "Always use \"D\" for this field for the idCode object."
          },
          {
            "name": "identifier",
            "kind": "required",
            "type": "string",
            "description": "Identifier for the party sending the wire. For outbound payments where originator details are submitted with the payment request, this is the customer account number. Otherwise, the system automatically populates this field."
          },
          {
            "name": "name",
            "kind": "required",
            "type": "string",
            "description": "Originator name. Maximum 140 characteres."
          },
          {
            "name": "postalAddress",
            "kind": "optional",
            "type": "object",
            "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information and should be used instead of the deprecated address lines",
            "children": [
              {
                "name": "adrLine1",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              },
              {
                "name": "adrLine2",
                "kind": "optional",
                "type": "string",
                "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
              },
              {
                "name": "country",
                "kind": "required",
                "type": "string",
                "description": "2 character country ISO country code. For example US, GB"
              },
              {
                "name": "state",
                "kind": "optional",
                "type": "string",
                "description": "2-char state. For example NY, FL"
              },
              {
                "name": "postalCode",
                "kind": "optional",
                "type": "string",
                "description": "Max 15 chars"
              },
              {
                "name": "city",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              }
            ]
          },
          {
            "name": "address1",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address."
          },
          {
            "name": "address2",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code."
          },
          {
            "name": "address3",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire."
          }
        ]
      },
      {
        "name": "receiverRoutingNumber",
        "kind": "required",
        "type": "string",
        "description": "The 9-digit Fedwire routing number of the financial institution receiving the wire drawdown request. The ABA directory provides financial institution routing numbers.",
        "children": []
      },
      {
        "name": "drawdownCreditAccountNumber",
        "kind": "required",
        "type": "string",
        "description": "The account number of the initiator (the party requesting the funds) that will receive the credit when the transfer is ultimately completed",
        "": "The account number of the initiator (the party requesting the funds) that will receive the credit when the transfer is ultimately completed"
      },
      {
        "name": "drawdownDebitAccount",
        "kind": "required",
        "type": "object",
        "description": "Details of the account from which the funds will be debited.",
        "children": [
          {
            "name": "idCode",
            "kind": "optional",
            "type": "string",
            "description": "Always use \"D\" for this field for the idCode object."
          },
          {
            "name": "identifier",
            "kind": "required",
            "type": "string",
            "description": "Identifier for the account from which the funds will be withdrawn."
          },
          {
            "name": "name",
            "kind": "required",
            "type": "string",
            "description": "Name on the account from which the funds will be withdrawn."
          },
          {
            "name": "postalAddress",
            "kind": "optional",
            "type": "object",
            "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information and should be used instead of the deprecated address lines",
            "children": [
              {
                "name": "adrLine1",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              },
              {
                "name": "adrLine2",
                "kind": "optional",
                "type": "string",
                "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
              },
              {
                "name": "country",
                "kind": "required",
                "type": "string",
                "description": "2 character country ISO country code. For example US, GB"
              },
              {
                "name": "state",
                "kind": "optional",
                "type": "string",
                "description": "2-char state. For example NY, FL"
              },
              {
                "name": "postalCode",
                "kind": "optional",
                "type": "string",
                "description": "Max 15 chars"
              },
              {
                "name": "city",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              }
            ]
          },
          {
            "name": "address1",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address."
          },
          {
            "name": "address2",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code."
          },
          {
            "name": "address3",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire."
          }
        ],
        "schema": [
          {
            "name": "idCode",
            "kind": "optional",
            "type": "string",
            "description": "Always use \"D\" for this field for the idCode object."
          },
          {
            "name": "identifier",
            "kind": "required",
            "type": "string",
            "description": "Identifier for the account from which the funds will be withdrawn."
          },
          {
            "name": "name",
            "kind": "required",
            "type": "string",
            "description": "Name on the account from which the funds will be withdrawn."
          },
          {
            "name": "postalAddress",
            "kind": "optional",
            "type": "object",
            "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information and should be used instead of the deprecated address lines",
            "children": [
              {
                "name": "adrLine1",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              },
              {
                "name": "adrLine2",
                "kind": "optional",
                "type": "string",
                "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
              },
              {
                "name": "country",
                "kind": "required",
                "type": "string",
                "description": "2 character country ISO country code. For example US, GB"
              },
              {
                "name": "state",
                "kind": "optional",
                "type": "string",
                "description": "2-char state. For example NY, FL"
              },
              {
                "name": "postalCode",
                "kind": "optional",
                "type": "string",
                "description": "Max 15 chars"
              },
              {
                "name": "city",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              }
            ]
          },
          {
            "name": "address1",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address."
          },
          {
            "name": "address2",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code."
          },
          {
            "name": "address3",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire."
          }
        ]
      },
      {
        "name": "beneficiary",
        "kind": "required",
        "type": "object",
        "description": "For a drawdown request, this is the same as the originator object.",
        "": "required",
        "children": [
          {
            "name": "idCode",
            "kind": "required",
            "type": "string",
            "description": "Always use \"D\" for this field for the idCode object."
          },
          {
            "name": "identifier",
            "kind": "required",
            "type": "string",
            "description": "Identifier for the account to which the funds will be deposited. Maximum 34 characters."
          },
          {
            "name": "name",
            "kind": "required",
            "type": "string",
            "description": "Beneficiary name. Maximum 140 characteres."
          },
          {
            "name": "postalAddress",
            "kind": "optional",
            "type": "object",
            "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information and should be used instead of the deprecated address lines",
            "children": [
              {
                "name": "adrLine1",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              },
              {
                "name": "adrLine2",
                "kind": "optional",
                "type": "string",
                "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
              },
              {
                "name": "country",
                "kind": "required",
                "type": "string",
                "description": "2 character country ISO country code. For example US, GB"
              },
              {
                "name": "state",
                "kind": "optional",
                "type": "string",
                "description": "2-char state. For example NY, FL"
              },
              {
                "name": "postalCode",
                "kind": "optional",
                "type": "string",
                "description": "Max 15 chars"
              },
              {
                "name": "city",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              }
            ]
          },
          {
            "name": "address1",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address."
          },
          {
            "name": "address2",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code."
          },
          {
            "name": "address3",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire."
          }
        ],
        "schema": [
          {
            "name": "idCode",
            "kind": "required",
            "type": "string",
            "description": "Always use \"D\" for this field for the idCode object."
          },
          {
            "name": "identifier",
            "kind": "required",
            "type": "string",
            "description": "Identifier for the account to which the funds will be deposited. Maximum 34 characters."
          },
          {
            "name": "name",
            "kind": "required",
            "type": "string",
            "description": "Beneficiary name. Maximum 140 characteres."
          },
          {
            "name": "postalAddress",
            "kind": "optional",
            "type": "object",
            "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information and should be used instead of the deprecated address lines",
            "children": [
              {
                "name": "adrLine1",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              },
              {
                "name": "adrLine2",
                "kind": "optional",
                "type": "string",
                "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
              },
              {
                "name": "country",
                "kind": "required",
                "type": "string",
                "description": "2 character country ISO country code. For example US, GB"
              },
              {
                "name": "state",
                "kind": "optional",
                "type": "string",
                "description": "2-char state. For example NY, FL"
              },
              {
                "name": "postalCode",
                "kind": "optional",
                "type": "string",
                "description": "Max 15 chars"
              },
              {
                "name": "city",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              }
            ]
          },
          {
            "name": "address1",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address."
          },
          {
            "name": "address2",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code."
          },
          {
            "name": "address3",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire."
          }
        ]
      },
      {
        "name": "beneficiaryReference",
        "kind": "optional",
        "type": "string",
        "description": "Optional field for additional information. 35 characters maximum.",
        "": "Optional field for additional information. 35 characters maximum."
      },
      {
        "name": "originatorToBeneficiary1",
        "kind": "optional",
        "type": "string",
        "description": "One of 4 fields, 35 characters each, to add additional information to be sent to the beneficiary.",
        "children": []
      },
      {
        "name": "originatorToBeneficiary2",
        "kind": "optional",
        "type": "string",
        "description": "One of 4 fields, 35 characters each, to add additional information to be sent to the beneficiary.",
        "children": []
      },
      {
        "name": "originatorToBeneficiary3",
        "kind": "optional",
        "type": "string",
        "description": "One of 4 fields, 35 characters each, to add additional information to be sent to the beneficiary.",
        "children": []
      },
      {
        "name": "originatorToBeneficiary4",
        "kind": "optional",
        "type": "string",
        "description": "One of 4 fields, 35 characters each, to add additional information to be sent to the beneficiary.",
        "children": []
      },
      {
        "name": "debitDrawdownAdviceCode",
        "kind": "optional",
        "type": "string",
        "description": "Additional wire information. One of:\n\n- HLD (hold)\n- LTR (letter)\n- PHN (phone)",
        "children": []
      },
      {
        "name": "debitDrawdownInformation1",
        "kind": "optional",
        "type": "string",
        "description": "Field for additional information about the drawdown debit account. 26 characters maximum.",
        "children": []
      },
      {
        "name": "debitDrawdownInformation2",
        "kind": "optional",
        "type": "string",
        "description": "Field for additional information about the drawdown debit account. 33 characters maximum.",
        "children": []
      },
      {
        "name": "debitDrawdownInformation3",
        "kind": "optional",
        "type": "string",
        "description": "Field for additional information about the drawdown debit account. 33 characters maximum.",
        "children": []
      },
      {
        "name": "debitDrawdownInformation4",
        "kind": "optional",
        "type": "string",
        "description": "Field for additional information about the drawdown debit account. 33 characters maximum.",
        "children": []
      },
      {
        "name": "debitDrawdownInformation5",
        "kind": "optional",
        "type": "string",
        "description": "Field for additional information about the drawdown debit account. 33 characters maximum.",
        "children": []
      },
      {
        "name": "receiverFiInformation1",
        "kind": "optional",
        "type": "string",
        "description": "Field for additional information about the receiver financial institution. 30 characters maximum.",
        "children": []
      },
      {
        "name": "receiverFiInformation2",
        "kind": "optional",
        "type": "string",
        "description": "Field for additional information about the receiver financial institution. 33 characters maximum.",
        "children": []
      },
      {
        "name": "receiverFiInformation3",
        "kind": "optional",
        "type": "string",
        "description": "Field for additional information about the receiver financial institution. 33 characters maximum.",
        "children": []
      },
      {
        "name": "receiverFiInformation4",
        "kind": "optional",
        "type": "string",
        "description": "Field for additional information about the receiver financial institution. 33 characters maximum.",
        "children": []
      },
      {
        "name": "receiverFiInformation5",
        "kind": "optional",
        "type": "string",
        "description": "Field for additional information about the receiver financial institution. 33 characters maximum.",
        "children": []
      },
      {
        "name": "fiToFiInformation1",
        "kind": "optional",
        "type": "string",
        "description": "Field for additional information to be sent from one financial institution to another. 35 characters maximum.",
        "children": []
      },
      {
        "name": "fiToFiInformation2",
        "kind": "optional",
        "type": "string",
        "description": "Field for additional information to be sent from one financial institution to another. 35 characters maximum.",
        "children": []
      },
      {
        "name": "fiToFiInformation3",
        "kind": "optional",
        "type": "string",
        "description": "Field for additional information to be sent from one financial institution to another. 35 characters maximum.",
        "children": []
      },
      {
        "name": "fiToFiInformation4",
        "kind": "optional",
        "type": "string",
        "description": "Field for additional information to be sent from one financial institution to another. 35 characters maximum.",
        "children": []
      },
      {
        "name": "fiToFiInformation5",
        "kind": "optional",
        "type": "string",
        "description": "Field for additional information to be sent from one financial institution to another. 35 characters maximum.",
        "children": []
      },
      {
        "name": "fiToFiInformation6",
        "kind": "optional",
        "type": "string",
        "description": "Field for additional information to be sent from one financial institution to another. 35 characters maximum.",
        "children": []
      },
      {
        "name": "amount",
        "kind": "required",
        "type": "integer",
        "description": "Dollar amount of wire transfer in positive integral cents. For example, write $1.00 as 100.",
        "children": []
      },
      {
        "name": "purpose",
        "kind": "required",
        "type": "string",
        "description": "Reason for the wire transfer, such as \"daily settlement.\" Also use this field if you submit multiple wires for the same amount, such as \"1 of 2, 2 of 2.\" This data is not included with the outgoing FedWire message.",
        "": "Reason for the wire transfer, such as \"daily settlement.\" Also use this field if you submit multiple wires for the same amount, such as \"1 of 2, 2 of 2.\" This data is not included with the outgoing FedWire message."
      },
      {
        "name": "clientIdentifier",
        "kind": "optional",
        "type": "string",
        "description": "Use this attribute to add your own unique identifying string to a payment call or COS record. This attribute is useful for idempotency purposes.",
        "children": []
      }
    ]
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "The payment ID. First appears in the initial response to the originate a payment request. This ID is in GUID format."
    },
    {
      "name": "accountNumber",
      "kind": "optional",
      "type": "string",
      "description": "Cross River Account number. In Cross River, depending on the account type, the number of digits will vary. The first digit indicates the kind of account.",
      "children": []
    },
    {
      "name": "coreTransactionId",
      "kind": "optional",
      "type": "string",
      "description": "Internal Cross River unique ID for the transaction",
      "children": []
    },
    {
      "name": "referenceId",
      "kind": "optional",
      "type": "string",
      "description": "Unique Cross River reference ID for the payment",
      "children": []
    },
    {
      "name": "fedBatchId",
      "kind": "optional",
      "type": "string",
      "description": "Unique identifier in GUID format for the Federal Reserve batch the payment went out on (or came in on for inbound payments)",
      "children": []
    },
    {
      "name": "fedBatchSequence",
      "kind": "optional",
      "type": "integer",
      "description": "Sequence number of payment in batch",
      "children": []
    },
    {
      "name": "direction",
      "kind": "optional",
      "type": "string",
      "description": "Inbound or outbound",
      "children": []
    },
    {
      "name": "paymentType",
      "kind": "optional",
      "type": "string",
      "description": "Transfer, Drawdown, DrawdownResponse, ServiceMessage, Reversal",
      "children": []
    },
    {
      "name": "source",
      "kind": "optional",
      "type": "string",
      "description": "Method used to send payment instructions: Phone, fax, email, file, API, partner portal, Ops portal.",
      "children": []
    },
    {
      "name": "status",
      "kind": "optional",
      "type": "string",
      "description": "Payment status: Created, Pending, Hold, Batched, Processing, Completed, Rejected, Canceled, Blocked",
      "children": []
    },
    {
      "name": "posting",
      "kind": "optional",
      "type": "string",
      "description": "Posting status: Pending, Posted, Failed, Canceled",
      "children": []
    },
    {
      "name": "rejectionReason",
      "kind": "optional",
      "type": "string",
      "description": "Rejected because:\n- OfacCancelUnableToDetermine\n- OfacConfirmed\n- OfacUnconfirmed\n- Other",
      "children": []
    },
    {
      "name": "blockedReason",
      "kind": "optional",
      "type": "string",
      "description": "Blocked because: OfacMatch, Other",
      "children": []
    },
    {
      "name": "partnerAuthorization",
      "kind": "optional",
      "type": "string",
      "description": "Partner authorization for out-of-band payment requests: NotRequired, Pending , Approved, Canceled",
      "children": []
    },
    {
      "name": "authorizedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the wire was authorized. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "authorizedById",
      "kind": "optional",
      "type": "string",
      "description": "Cross River user ID of the partner user who authorizes the wire",
      "children": []
    },
    {
      "name": "authorizedByName",
      "kind": "optional",
      "type": "string",
      "description": "Cross River username of the partner user who authorizes the wire",
      "children": []
    },
    {
      "name": "partnerAuthorization2",
      "kind": "optional",
      "type": "string",
      "description": "Second partner authorization for out-of-band payment requests: NotRequired, Pending , Approved, Canceled",
      "children": []
    },
    {
      "name": "authorizedAt2",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the wire was authorized. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "authorizedById2",
      "kind": "optional",
      "type": "string",
      "description": "Cross River user ID of the partner user who authorizes the wire",
      "children": []
    },
    {
      "name": "authorizedByName2",
      "kind": "optional",
      "type": "string",
      "description": "Cross River username of the partner user who authorizes the wire",
      "children": []
    },
    {
      "name": "amount",
      "kind": "optional",
      "type": "integer",
      "description": "Dollar amount of wire transfer in positive integral cents. For example, write $1.00 as 100.",
      "children": []
    },
    {
      "name": "currency",
      "kind": "optional",
      "type": "string",
      "description": "Currency of funds transfer",
      "children": []
    },
    {
      "name": "purpose",
      "kind": "optional",
      "type": "string",
      "description": "Reason for the wire transfer, such as \"daily settlement.\" Also use this field if you submit multiple wires for the same amount, such as \"1 of 2, 2 of 2.\" This data is not included with the outgoing FedWire message.",
      "children": []
    },
    {
      "name": "imad",
      "kind": "optional",
      "type": "string",
      "description": "Input Messaging Accountability Data. A combination of a date, source identifier, and sequence number assigned to a Fedwire message when it is processed by the Federal Reserve Bank Funds Transfer application. Unique to the payment.",
      "children": []
    },
    {
      "name": "omad",
      "kind": "optional",
      "type": "string",
      "description": "Output Messaging Accountability Data. A combination of a date, destination identifier, and sequence number assigned to a Fedwire message when it is processed by the Federal Reserve Bank Funds Transfer application.",
      "children": []
    },
    {
      "name": "businessFunctionCode",
      "kind": "optional",
      "type": "string",
      "description": "The business purpose of the wire transfer. The most common type is customer wire transfer (CTR) where the beneficiary isn't a bank. See the full list of codes and descriptions.",
      "children": []
    },
    {
      "name": "typeCode",
      "kind": "optional",
      "type": "string",
      "description": "The type code value provides information about the type of wire transfer sent (type code, first 2 digits) and more details about the transfer (subtype code, second 2 digits).",
      "children": []
    },
    {
      "name": "senderRoutingNumber",
      "kind": "optional",
      "type": "string",
      "description": "Fedwire routing number for the sender's bank",
      "children": []
    },
    {
      "name": "senderName",
      "kind": "optional",
      "type": "string",
      "description": "Entity sending the wire",
      "children": []
    },
    {
      "name": "senderReference",
      "kind": "optional",
      "type": "string",
      "description": "Sender's assigned reference number",
      "children": []
    },
    {
      "name": "receiverRoutingNumber",
      "kind": "optional",
      "type": "string",
      "description": "The 9-digit Fedwire routing number of the financial institution receiving the wire drawdown request. The ABA directory provides financial institution routing numbers.",
      "children": []
    },
    {
      "name": "receiverName",
      "kind": "optional",
      "type": "string",
      "description": "Name of the FI receiving the funds",
      "children": []
    },
    {
      "name": "originatingFi",
      "kind": "optional",
      "type": "object",
      "description": "Details of the financial institution sending the wire",
      "children": [
        {
          "name": "idCode",
          "kind": "optional",
          "type": "string",
          "description": "Specifies the type of value in the identifier field that follows it. 1 character. See the list of ID codes."
        },
        {
          "name": "identifier",
          "kind": "optional",
          "type": "string",
          "description": "Identifier at the financial institution sending the wire"
        },
        {
          "name": "name",
          "kind": "optional",
          "type": "string",
          "description": "Name of the originating financial institution"
        },
        {
          "name": "postalAddressInfo",
          "kind": "optional",
          "type": "object",
          "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information",
          "children": [
            {
              "name": "adrLine1",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            },
            {
              "name": "adrLine2",
              "kind": "optional",
              "type": "string",
              "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "2 character country ISO country code. For example US, GB"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "2-char state. For example NY, FL"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Max 15 chars"
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            }
          ]
        },
        {
          "name": "address1",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address"
        },
        {
          "name": "address2",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code"
        },
        {
          "name": "address3",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire"
        }
      ]
    },
    {
      "name": "originator",
      "kind": "optional",
      "type": "object",
      "description": "Details of the party sending the wire",
      "children": [
        {
          "name": "idCode",
          "kind": "optional",
          "type": "string",
          "description": "Specifies the type of value in the identifier field that follows it. 1 character. See the list of ID codes."
        },
        {
          "name": "identifier",
          "kind": "optional",
          "type": "string",
          "description": "Identifier for the party sending the wire. For outbound payments where originator details are submitted with the payment request, this is the customer account number. Otherwise, the system automatically populates this field."
        },
        {
          "name": "name",
          "kind": "optional",
          "type": "string",
          "description": "Originator name. Maximum 140 characteres."
        },
        {
          "name": "postalAddressInfo",
          "kind": "optional",
          "type": "object",
          "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information",
          "children": [
            {
              "name": "adrLine1",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            },
            {
              "name": "adrLine2",
              "kind": "optional",
              "type": "string",
              "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "2 character country ISO country code. For example US, GB"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "2-char state. For example NY, FL"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Max 15 chars"
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            }
          ]
        },
        {
          "name": "address1",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address"
        },
        {
          "name": "address2",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code"
        },
        {
          "name": "address3",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire"
        }
      ]
    },
    {
      "name": "intermediaryFi",
      "kind": "optional",
      "type": "object",
      "description": "Details of any intermediary bank involved in the wire transaction. Not all wire transfers use an intermediary FI.",
      "children": [
        {
          "name": "idCode",
          "kind": "optional",
          "type": "string",
          "description": "Specifies the type of value in the identifier field that follows it. 1 character. See the list of ID codes."
        },
        {
          "name": "identifier",
          "kind": "optional",
          "type": "string",
          "description": "Identifier for the intermediary bank involved with the wire transaction."
        },
        {
          "name": "name",
          "kind": "optional",
          "type": "string",
          "description": "Intermediary financial institution name. Maximum 140 characters."
        },
        {
          "name": "postalAddressInfo",
          "kind": "optional",
          "type": "object",
          "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information",
          "children": [
            {
              "name": "adrLine1",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            },
            {
              "name": "adrLine2",
              "kind": "optional",
              "type": "string",
              "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "2 character country ISO country code. For example US, GB"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "2-char state. For example NY, FL"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Max 15 chars"
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            }
          ]
        },
        {
          "name": "address1",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address"
        },
        {
          "name": "address2",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code"
        },
        {
          "name": "address3",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire"
        }
      ]
    },
    {
      "name": "beneficiaryFi",
      "kind": "optional",
      "type": "object",
      "description": "Details of the financial institution receiving the wire",
      "children": [
        {
          "name": "idCode",
          "kind": "optional",
          "type": "string",
          "description": "Specifies the type of value in the identifier field that follows it. 1 character. See the list of ID codes.\n\nFor outbound payments, the value for the beneficiary FI is F to indicate the bank Fed routing number. This field is optional for domestic wires because the system automatically uses the banking information for the value entered into the receiverRoutingNumber field."
        },
        {
          "name": "identifier",
          "kind": "optional",
          "type": "string",
          "description": "Identifier for the bank receiving the wire. For outbound payments, this is the bank Fed routing number. This field is optional for domestic wires because the system automatically uses the banking information for the value entered into the receiverRoutingNumber field."
        },
        {
          "name": "name",
          "kind": "optional",
          "type": "string",
          "description": "Beneficiary financial institution name. Maximum 140 characters."
        },
        {
          "name": "postalAddressInfo",
          "kind": "optional",
          "type": "object",
          "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information",
          "children": [
            {
              "name": "adrLine1",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            },
            {
              "name": "adrLine2",
              "kind": "optional",
              "type": "string",
              "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "2 character country ISO country code. For example US, GB"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "2-char state. For example NY, FL"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Max 15 chars"
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            }
          ]
        },
        {
          "name": "address1",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address"
        },
        {
          "name": "address2",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code"
        },
        {
          "name": "address3",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire"
        }
      ]
    },
    {
      "name": "beneficiary",
      "kind": "optional",
      "type": "object",
      "description": "Details of the party receiving the wire",
      "children": [
        {
          "name": "idCode",
          "kind": "optional",
          "type": "string",
          "description": "Identifier code for the party receiving the wire. For outbound payments, this is \"D\" to indicate a deposit account."
        },
        {
          "name": "identifier",
          "kind": "optional",
          "type": "string",
          "description": "Identifier for the party receiving the wire. For outbound payments, this is the beneficiary's account number."
        },
        {
          "name": "name",
          "kind": "optional",
          "type": "string",
          "description": "Beneficiary name. Maximum 140 characters."
        },
        {
          "name": "postalAddressInfo",
          "kind": "optional",
          "type": "object",
          "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information",
          "children": [
            {
              "name": "adrLine1",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            },
            {
              "name": "adrLine2",
              "kind": "optional",
              "type": "string",
              "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "2 character country ISO country code. For example US, GB"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "2-char state. For example NY, FL"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Max 15 chars"
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            }
          ]
        },
        {
          "name": "address1",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address"
        },
        {
          "name": "address2",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code"
        },
        {
          "name": "address3",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire"
        }
      ]
    },
    {
      "name": "originatorToBeneficiary1",
      "kind": "optional",
      "type": "string",
      "description": "Field for additional information from the originator to the beneficiary.",
      "children": []
    },
    {
      "name": "beneficiaryReference",
      "kind": "optional",
      "type": "string",
      "description": "Optional field for additional information. 35 characters maximum.",
      "children": []
    },
    {
      "name": "receiptDate",
      "kind": "optional",
      "type": "string",
      "description": "Month and day the wire was received in the format mmdd",
      "children": []
    },
    {
      "name": "receiptTime",
      "kind": "optional",
      "type": "string",
      "description": "Time the wire was received, in the format hhmm",
      "children": []
    },
    {
      "name": "wasReversed",
      "kind": "optional",
      "type": "boolean",
      "description": "True if the payment was reversed, otherwise false",
      "children": []
    },
    {
      "name": "isInternational",
      "kind": "optional",
      "type": "boolean",
      "description": "True if the payment is international, otherwise false",
      "children": []
    },
    {
      "name": "clientIdentifier",
      "kind": "optional",
      "type": "string",
      "description": "Use this attribute to add your own unique identifying string to a payment call or COS record. This attribute is useful for idempotency purposes.",
      "children": []
    },
    {
      "name": "createdAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was created in the system. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "releasedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was released in a distribution to the Fed. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "processedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was processed by Cross River. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm].",
      "children": []
    },
    {
      "name": "canceledAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was canceled",
      "children": []
    },
    {
      "name": "rejectedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was rejected. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "blockedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was blocked by BSA/AML. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "effectiveDate",
      "kind": "optional",
      "type": "string",
      "description": "Business date on which the payment is effective",
      "children": []
    },
    {
      "name": "completedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was systemically completed. This can only occur after the payment has successfully posted to the account. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "postedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was posted to the Cross River account. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "originalPaymentId",
      "kind": "optional",
      "type": "string",
      "description": "Payment ID of a previously sent wire that was reversed. Otherwise, the same as the payment ID.",
      "children": []
    },
    {
      "name": "partnerId",
      "kind": "optional",
      "type": "string",
      "description": "Your unique ID in the Cross River system. This ID is in GUID format.",
      "children": []
    },
    {
      "name": "productId",
      "kind": "optional",
      "type": "string",
      "description": "ID in GUID format of your specific product type on which the account is based. Provided by Cross River. In this case, the Cross River account involved in the payment.",
      "children": []
    },
    {
      "name": "lastModifiedAt",
      "kind": "optional",
      "type": "string",
      "description": "Internal Cross River value. Date and time the database entry was last modified. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "postingCode",
      "kind": "optional",
      "type": "string",
      "description": "Includes OK (posted), RES (account restricted), NSF (insufficient funds in the account sending the wire)",
      "children": []
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "endpoint-wiresv1paymentscorporate-drawdown-request",
  "legacyHash": "Rh6PQ9xYPqNRA4aBWpTxc"
}
```
:::

### <u>Validation Rules</u>

- **Beneficiary FI and Intermediary FI Not Allowed**
  - If either field is populated, the request will be rejected.
  - **Error Message:** `{EntityName} not available with ISO format.`

#

